%define have_python_devel 1
%define have_xtest_devel  1
%if %have_python_devel
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif
%define sub_version             0.1
%define glib2_version           2.8
%define libxklavier_version     4.0
%define libxml2_version         2.0

Name:       input-pad
Version:    0.1.0.20100603
Release:    1%{?dist}
Summary:    Input Pad
License:    LGPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/input-pad/
Source0:    http://fujiwara.fedorapeople.org/ibus/input-pad/%{name}-%{version}.tar.gz

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext-devel
BuildRequires:  glib2-devel             >= %glib2_version
BuildRequires:  gtk2-devel
BuildRequires:  libX11-devel
BuildRequires:  libtool
BuildRequires:  libxkbfile-devel
BuildRequires:  libxklavier-devel       >= %libxklavier_version
BuildRequires:  libxml2-devel           >= %libxml2_version
BuildRequires:  intltool
BuildRequires:  pkgconfig
%if %have_xtest_devel
BuildRequires:  libXtst-devel
%endif
%if %have_python_devel
BuildRequires:  python2-devel
BuildRequires:  swig
%endif
Requires:  glib2        >= %glib2_version
Requires:  gtk2
Requires:  libX11
Requires:  libxkbfile
Requires:  libxklavier  >= %libxklavier_version
Requires:  libxml2      >= %libxml2_version

%description
Input Pad.

%package devel
Summary:    Development tools for input-pad
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The input-pad-devel package contains the header files.

%if %have_python_devel
%package python
Summary:    input-pad for python
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description python
The input-pad-python package contains the python wrapper files.
%endif

%if %have_xtest_devel
%package xtest
Summary:    input-pad with XTEST extension
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   libXtst

%description xtest
The input-pad-python package contains XTEST extension module
%endif

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%sub_version/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}-%sub_version/*.a
%if %have_python_devel
rm -f $RPM_BUILD_ROOT%python_sitearch/%{name}-%sub_version/*.la
rm -f $RPM_BUILD_ROOT%python_sitearch/%{name}-%sub_version/*.a
%endif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/input-pad
%dir %{_libdir}/%{name}-%sub_version
%{_libdir}/%{name}-%sub_version/libinput-pad.so
%{_datadir}/%name
%{_datadir}/pixmaps/input-pad.png

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%sub_version
%{_libdir}/pkgconfig/*.pc

%if %have_python_devel
%files python
%defattr(-,root,root,-)
%python_sitearch/%{name}-%sub_version
%python_sitearch/pyinput_pad.pth
%endif

%if %have_xtest_devel
%files xtest
%defattr(-,root,root,-)
%{_libdir}/%{name}-%sub_version/libinput-pad-xtest-gdk.so
%endif

%changelog
* Thu Jun 03 2010 Takao Fujiwara <takao.fujiwara1@gmail.com> - 0.1.0.20100603-1
- Current version.
